* tests/test-dfa-match-aux.c: Renamed from tests/dfa-match-aux.c.
* tests/test-dfa-match.sh: Renamed from tests/dfa-match.sh. Update.
* tests/test-dfa-invalid-char-class.sh: Renamed from
tests/dfa-invalid-char-class.sh. Update.
* modules/dfa-tests (Files, Makefile.am): Update.
+2020-07-03 Bruno Haible <bruno@clisp.org>
+
+ dfa tests: Follow common file naming conventions.
+ * tests/test-dfa-match-aux.c: Renamed from tests/dfa-match-aux.c.
+ * tests/test-dfa-match.sh: Renamed from tests/dfa-match.sh. Update.
+ * tests/test-dfa-invalid-char-class.sh: Renamed from
+ tests/dfa-invalid-char-class.sh. Update.
+ * modules/dfa-tests (Files, Makefile.am): Update.
+
2020-07-03 Bruno Haible <bruno@clisp.org>
asyncsafe-spin: Use GCC extended asm syntax for SunStudio 12 compiler.
Files:
-tests/dfa-match.sh
-tests/dfa-match-aux.c
-tests/dfa-invalid-char-class.sh
+tests/test-dfa-match.sh
+tests/test-dfa-match-aux.c
+tests/test-dfa-invalid-char-class.sh
Depends-on:
getprogname
configure.ac:
Makefile.am:
-TESTS += \
- dfa-invalid-char-class.sh \
- dfa-match.sh
+TESTS += \
+ test-dfa-invalid-char-class.sh \
+ test-dfa-match.sh
-check_PROGRAMS += dfa-match-aux
-dfa_match_aux_LDADD = $(LDADD) $(LIB_SETLOCALE) @LIBINTL@ $(LIB_MBRTOWC)
+check_PROGRAMS += test-dfa-match-aux
+test_dfa_match_aux_LDADD = $(LDADD) $(LIB_SETLOCALE) @LIBINTL@ $(LIB_MBRTOWC)
+++ /dev/null
-#!/bin/sh
-# This use of our DFA-testing helper would fail for grep-2.21.
-
-# Copyright 2014-2020 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <https://www.gnu.org/licenses/>.
-
-. "${srcdir=.}/init.sh"; path_prepend_ ../src
-
-# Add "." to PATH for the use of dfa-match-aux.
-path_prepend_ .
-
-fail=0
-
-echo 'dfaerror: invalid character class' > exp
-LC_ALL=C ${CHECKER} dfa-match-aux '[[:foo:]]' a > out 2>&1
-compare exp out || fail=1
-
-Exit $fail
+++ /dev/null
-/* Auxiliary program to test a DFA code path that cannot be triggered
- by grep or gawk.
- Copyright 2014-2020 Free Software Foundation, Inc.
-
- This program is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 3, or (at your option)
- any later version.
-
- This program is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- GNU General Public License for more details.
-
- You should have received a copy of the GNU General Public License
- along with this program; if not, write to the Free Software
- Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
- 02110-1301, USA. */
-
-#include <config.h>
-#include <locale.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include <regex.h>
-#include <dfa.h>
-#include <localeinfo.h>
-
-#include "getprogname.h"
-
-_Noreturn void
-dfaerror (char const *mesg)
-{
- printf ("dfaerror: %s\n", mesg);
- exit (EXIT_FAILURE);
-}
-
-_Noreturn void
-dfawarn (char const *mesg)
-{
- printf ("dfawarn: %s\n", mesg);
- exit (EXIT_FAILURE);
-}
-
-int
-main (int argc, char **argv)
-{
- struct dfa *dfa;
- char *beg, *end, *p;
- int allow_nl;
- struct localeinfo localeinfo;
-
- if (argc < 3)
- exit (EXIT_FAILURE);
-
- setlocale (LC_ALL, "");
- init_localeinfo (&localeinfo);
-
- dfa = dfaalloc ();
- dfasyntax (dfa, &localeinfo, RE_SYNTAX_GREP | RE_NO_EMPTY_RANGES, 0);
- dfacomp (argv[1], strlen (argv[1]), dfa, 0);
-
- beg = argv[2];
- end = argv[2] + strlen (argv[2]);
- allow_nl = argc > 3 && atoi (argv[3]);
-
- p = dfaexec (dfa, beg, end, allow_nl, NULL, NULL);
-
- if (p != NULL)
- printf ("%zd\n", p - beg);
-
- exit (EXIT_SUCCESS);
-}
+++ /dev/null
-#!/bin/sh
-# This would fail with grep-2.21's dfa.c.
-
-# Copyright 2014-2020 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <https://www.gnu.org/licenses/>.
-
-. "${srcdir=.}/init.sh"; path_prepend_ ../src
-
-# Add "." to PATH for the use of dfa-match-aux.
-path_prepend_ .
-
-if (type timeout) >/dev/null 2>&1; then
- if timeout --help 2>&1 | grep BusyBox; then
- timeout_10='timeout -t 10'
- else
- timeout_10='timeout 10'
- fi
-else
- timeout_10=
-fi
-
-fail=0
-
-${CHECKER} dfa-match-aux a ba 0 > out || fail=1
-compare /dev/null out || fail=1
-
-in=$(printf "bb\nbb")
-$timeout_10 ${CHECKER} dfa-match-aux a "$in" 1 > out || fail=1
-compare /dev/null out || fail=1
-
-Exit $fail
--- /dev/null
+#!/bin/sh
+# This use of our DFA-testing helper would fail for grep-2.21.
+
+# Copyright 2014-2020 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Add "." to PATH for the use of test-dfa-match-aux.
+path_prepend_ .
+
+fail=0
+
+echo 'dfaerror: invalid character class' > exp
+LC_ALL=C ${CHECKER} test-dfa-match-aux '[[:foo:]]' a > out 2>&1
+compare exp out || fail=1
+
+Exit $fail
--- /dev/null
+/* Auxiliary program to test a DFA code path that cannot be triggered
+ by grep or gawk.
+ Copyright 2014-2020 Free Software Foundation, Inc.
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 3, or (at your option)
+ any later version.
+
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+ 02110-1301, USA. */
+
+#include <config.h>
+#include <locale.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <regex.h>
+#include <dfa.h>
+#include <localeinfo.h>
+
+#include "getprogname.h"
+
+_Noreturn void
+dfaerror (char const *mesg)
+{
+ printf ("dfaerror: %s\n", mesg);
+ exit (EXIT_FAILURE);
+}
+
+_Noreturn void
+dfawarn (char const *mesg)
+{
+ printf ("dfawarn: %s\n", mesg);
+ exit (EXIT_FAILURE);
+}
+
+int
+main (int argc, char **argv)
+{
+ struct dfa *dfa;
+ char *beg, *end, *p;
+ int allow_nl;
+ struct localeinfo localeinfo;
+
+ if (argc < 3)
+ exit (EXIT_FAILURE);
+
+ setlocale (LC_ALL, "");
+ init_localeinfo (&localeinfo);
+
+ dfa = dfaalloc ();
+ dfasyntax (dfa, &localeinfo, RE_SYNTAX_GREP | RE_NO_EMPTY_RANGES, 0);
+ dfacomp (argv[1], strlen (argv[1]), dfa, 0);
+
+ beg = argv[2];
+ end = argv[2] + strlen (argv[2]);
+ allow_nl = argc > 3 && atoi (argv[3]);
+
+ p = dfaexec (dfa, beg, end, allow_nl, NULL, NULL);
+
+ if (p != NULL)
+ printf ("%zd\n", p - beg);
+
+ exit (EXIT_SUCCESS);
+}
--- /dev/null
+#!/bin/sh
+# This would fail with grep-2.21's dfa.c.
+
+# Copyright 2014-2020 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Add "." to PATH for the use of test-dfa-match-aux.
+path_prepend_ .
+
+if (type timeout) >/dev/null 2>&1; then
+ if timeout --help 2>&1 | grep BusyBox; then
+ timeout_10='timeout -t 10'
+ else
+ timeout_10='timeout 10'
+ fi
+else
+ timeout_10=
+fi
+
+fail=0
+
+${CHECKER} test-dfa-match-aux a ba 0 > out || fail=1
+compare /dev/null out || fail=1
+
+in=$(printf "bb\nbb")
+$timeout_10 ${CHECKER} test-dfa-match-aux a "$in" 1 > out || fail=1
+compare /dev/null out || fail=1
+
+Exit $fail